export { getBoundingHull } from './global-properties/bounds/get-bounding-hull.js';
export { classify, classifications, classification } from './global-properties/classification/classify.js';
export { area } from './global-properties/area.js';
export { length } from './global-properties/length/length.js';
export { totalLength } from './global-properties/length/total-length.js';
export { clone } from './transformation/clone.js';
export { getTAtLength } from './local-properties-to-t/get-t-at-length.js';
export { equal } from './simultaneous-properties/equal.js';
export { γ, γγ } from './error-analysis/error-analysis.js';
export { fromToInclErrorBound } from './transformation/split/from-to-incl-error-bound.js';
export { fromTo } from './transformation/split/from-to.js';
export { fitQuadsToCubic } from './fit/fit-quads-to-cubic.js';
export { fitQuadsToCubicHausdorff } from './fit/fit-quads-to-cubic-hausdorff.js';
export { getControlPointBox } from './global-properties/bounds/get-control-point-box.js';
export { closestPointOnBezier } from './simultaneous-properties/closest-and-furthest-point-on-bezier/closest-point-on-bezier.js';
export { furthestPointOnBezier } from './simultaneous-properties/closest-and-furthest-point-on-bezier/furthest-point-on-bezier.js';
export { generateQuarterCircle } from './create/generate-quarter-circle.js';
export { bezierBezierIntersectionFast } from './intersection/bezier-bezier-intersection-fast/bezier-bezier-intersection-fast.js';
export { intersectBoxes } from './boxes/intersect-boxes.js';
export { areBoxesIntersecting } from './boxes/are-boxes-intersecting.js';
export { evalDeCasteljau } from './local-properties-at-t/evaluate/double/eval-de-casteljau.js';
export { evalDeCasteljauError } from './local-properties-at-t/evaluate/eval-de-casteljau-error.js';
export { evalDeCasteljauWithErr } from './local-properties-at-t/evaluate/double/eval-de-casteljau-with-err.js';
export { evalDeCasteljauWithErrDd } from './local-properties-at-t/evaluate/double-double/eval-de-casteljau-with-err-dd.js';
export { evalDeCasteljauDd } from './local-properties-at-t/evaluate/double-double/eval-de-casteljau-dd.js';
export { isPointOnBezierExtension } from './simultaneous-properties/is-point-on-bezier-extension/is-point-on-bezier-extension.js';
export { totalCurvature, totalAbsoluteCurvature } from './global-properties/total-absolute-curvature.js';
export { reverse } from './transformation/reverse.js';
export { getInflections } from './global-properties/get-inflections.js';
export { getCoeffsBezBez } from './intersection/bezier-bezier-intersection/get-coefficients/get-coeffs-bez-bez.js';
export { evaluateImplicit3 } from './implicit-form/evaluate/double/evaluate-implicit3.js';
export { getImplicitForm3 } from './implicit-form/double/get-implicit-form3.js';
export { getImplicitForm3Dd } from './implicit-form/double-double/get-implicit-form3-dd.js';
export { getImplicitForm3ErrorCounters } from './implicit-form/get-error-counters/get-implicit-form3-error-counters.js';
export { getImplicitForm3DdWithRunningError } from './implicit-form/double-double/get-implicit-form3-dd-with-running-error.js';
export { getImplicitForm3Exact } from './implicit-form/exact/get-implicit-form3-exact.js';
export { evaluateImplicit2 } from './implicit-form/evaluate/double/evaluate-implicit2.js';
export { getImplicitForm2 } from './implicit-form/double/get-implicit-form2.js';
export { getImplicitForm2Dd } from './implicit-form/double-double/get-implicit-form2-dd.js';
export { getImplicitForm2ErrorCounters } from './implicit-form/get-error-counters/get-implicit-form2-error-counters.js';
export { getImplicitForm2DdWithRunningError } from './implicit-form/double-double/get-implicit-form2-dd-with-running-error.js';
export { getImplicitForm2Exact } from './implicit-form/exact/get-implicit-form2-exact.js';
export { evaluateImplicit1 } from './implicit-form/evaluate/double/evaluate-implicit1.js';
export { getImplicitForm1 } from './implicit-form/double/get-implicit-form1.js';
export { getImplicitForm1Dd } from './implicit-form/double-double/get-implicit-form1-dd.js';
export { getImplicitForm1ErrorCounters } from './implicit-form/get-error-counters/get-implicit-form1-error-counters.js';
export { getImplicitForm1DdWithRunningError } from './implicit-form/double-double/get-implicit-form1-dd-with-running-error.js';
export { getImplicitForm1Exact } from './implicit-form/exact/get-implicit-form1-exact.js';
export { fromPowerBasis } from './from-power-basis/from-power-basis.js';
export { getHodograph } from './transformation/get-hodograph.js';
export { generateCuspAtHalf3 } from './create/generate-cusp-at-half-t.js';
export { generateSelfIntersecting } from './create/generate-self-intersecting.js';
export { cubicThroughPointGiven013 } from './create/cubic-through-point-given013.js';
export { bezierSelfIntersection } from './intersection/self-intersection/bezier-self-intersection.js';
export { getEndpointIntersections } from './intersection/get-endpoint-intersections/get-endpoint-intersections.js';
export { tFromXY } from './local-properties-to-t/t-from-xy.js';
export { toPowerBasis } from './to-power-basis/to-power-basis/double/to-power-basis.js';
export { toPowerBasis_1stDerivative } from './to-power-basis/to-power-basis-1st-derivative/double/to-power-basis-1st-derivative.js';
export { toPowerBasis_2ndDerivative } from './to-power-basis/to-power-basis-2nd-derivative/double/to-power-basis-2nd-derivative.js';
export { toPowerBasis_3rdDerivative } from './to-power-basis/to-power-basis-3rd-derivative/double/to-power-basis-3rd-derivative.js';
export { toPowerBasisDd } from './to-power-basis/to-power-basis/double-double/to-power-basis-dd.js';
export { toPowerBasis_1stDerivativeDd } from './to-power-basis/to-power-basis-1st-derivative/double-double/to-power-basis-1st-derivative-dd.js';
export { toPowerBasis_2ndDerivativeDd } from './to-power-basis/to-power-basis-2nd-derivative/double-double/to-power-basis-2nd-derivative-dd.js';
export { toPowerBasis_3rdDerivativeDd } from './to-power-basis/to-power-basis-3rd-derivative/double-double/to-power-basis-3rd-derivative-dd.js';
export { toPowerBasisExact } from './to-power-basis/to-power-basis/exact/to-power-basis-exact.js';
export { toPowerBasis_1stDerivativeExact } from './to-power-basis/to-power-basis-1st-derivative/exact/to-power-basis-1st-derivative-exact.js';
export { toPowerBasis_2ndDerivativeExact } from './to-power-basis/to-power-basis-2nd-derivative/exact/to-power-basis-2nd-derivative-exact.js';
export { toPowerBasis_3rdDerivativeExact } from './to-power-basis/to-power-basis-3rd-derivative/exact/to-power-basis-3rd-derivative-exact.js';
export { toPowerBasisWithRunningError } from './to-power-basis/to-power-basis/double/to-power-basis-with-running-error.js';
export { toPowerBasisDdWithRunningError } from './to-power-basis/to-power-basis/double-double/to-power-basis-dd-with-running-error.js';
export { toPowerBasisErrorCounters } from './to-power-basis/to-power-basis/to-power-basis-error-counters.js';
export { toPowerBasis_1stDerivativeErrorCounters } from './to-power-basis/to-power-basis-1st-derivative/to-power-basis-1st-derivative-error-counters.js';
export { normal } from './local-properties-at-t/normal/normal.js';
export { normal2 } from './local-properties-at-t/normal/normal2.js';
export { bezierBezierIntersection } from './intersection/bezier-bezier-intersection/bezier-bezier-intersection.js';
export { toCubic } from './transformation/degree-or-type/to-cubic.js';
export { κ, curvature } from './local-properties-at-t/curvature.js';
export { eCurvature } from './local-properties-at-t/e-curvature.js';
export { ddCurvature } from './local-properties-at-t/dd-curvature.js';
export { quadraticToPolyline } from './fit/quadratic-to-polyline.js';
export { isQuadObtuse } from './global-properties/classification/is-quad-obtuse.js';
export { getIntervalBox } from './global-properties/bounds/get-interval-box/get-interval-box.js';
export { getIntervalBoxDd } from './global-properties/bounds/get-interval-box/get-interval-box-dd.js';
export { getInterfaceRotation } from './simultaneous-properties/get-interface-rotation.js';
export { closestPointOnBezierCertified } from './simultaneous-properties/closest-and-furthest-point-on-bezier/closest-point-on-bezier-certified.js';
export { getFootPointsOnBezierCertified } from './simultaneous-properties/closest-and-furthest-point-on-bezier/get-foot-points-on-bezier-certified.js';
export { getFootPointsOnBezierPolysCertified } from './simultaneous-properties/closest-and-furthest-point-on-bezier/get-foot-points-polys-on-bezier-certified.js';
export { hausdorffDistanceOneSided } from './simultaneous-properties/hausdorff-distance/hausdorff-distance-one-sided.js';
export { hausdorffDistance } from './simultaneous-properties/hausdorff-distance/hausdorff-distance.js';
export { controlPointLinesLength } from './global-properties/length/control-point-lines-length.js';
export { splitByLength } from './transformation/split/split-by-length.js';
export { getCurvatureExtrema } from './get-curvature-extrema/get-curvature-extrema.js';
export { getCurvatureExtremaDd } from './get-curvature-extrema-dd/get-curvature-extrema-dd.js';
export { getCurvatureExtremaE } from './get-curvature-extrema-e/get-curvature-extrema-e.js';
export { curviness } from './global-properties/curviness.js';
export { splitByCurvature } from './transformation/split/split-by-curvature.js';
export { splitByCurvatureAndLength } from './transformation/split/split-by-curvature-and-length.js';
export { isCollinear, isHorizontal, isVertical } from './global-properties/classification/is-collinear.js';
export { isSelfOverlapping } from './global-properties/classification/is-self-overlapping.js';
export { getBounds } from './global-properties/bounds/get-bounds.js';
export { getBoundingBoxTight } from './global-properties/bounds/get-bounding-box-tight.js';
export { getBoundingBox } from './global-properties/bounds/get-bounding-box.js';
export { cubicToHybridQuadratic } from './transformation/degree-or-type/cubic-to-hybrid-quadratic.js';
export { isCubicReallyLine } from './global-properties/classification/is-cubic-really-line.js';
export { isCubicReallyQuad } from './global-properties/classification/is-cubic-really-quad.js';
export { isQuadReallyLine } from './global-properties/classification/is-quad-really-line.js';
export { isReallyPoint } from './global-properties/classification/is-really-point.js';
export { cubicToQuadratic } from './transformation/degree-or-type/cubic-to-quadratic.js';
export { quadraticToCubic } from './transformation/degree-or-type/quadratic-to-cubic.js';
export { circleBezierIntersection } from './intersection/circle-bezier-intersection/circle-bezier-intersection.js';
export { evaluateExact } from './local-properties-at-t/evaluate/exact/evaluate-exact.js';
export { evaluate } from './local-properties-at-t/evaluate/double/evaluate.js';
export { lineToQuadratic } from './transformation/degree-or-type/line-to-quadratic.js';
export { lineToCubic } from './transformation/degree-or-type/line-to-cubic.js';
export { tangent } from './local-properties-at-t/tangent/double/tangent.js';
export { evaluate2ndDerivative } from './local-properties-at-t/evaluate-2nd-derivative/double/evaluate-2nd-derivative.js';
export { tangentExact } from './local-properties-at-t/tangent/exact/tangent-exact.js';
export { evaluate2ndDerivativeExact } from './local-properties-at-t/evaluate-2nd-derivative/exact/evaluate-2nd-derivative-exact.js';
export { tangentAt0Exact } from './local-properties-at-t/tangent/exact/tangent-at-0-exact.js';
export { evaluate2ndDerivativeAt0Exact } from './local-properties-at-t/evaluate-2nd-derivative/exact/evaluate-2nd-derivative-at-0-exact.js';
export { tangentAt1Exact } from './local-properties-at-t/tangent/exact/tangent-at-1-exact.js';
export { evaluate2ndDerivativeAt1Exact } from './local-properties-at-t/evaluate-2nd-derivative/exact/evaluate-2nd-derivative-at-1-exact.js';
export { tangentAt0 } from './local-properties-at-t/tangent/double/tangent-at-0.js';
export { evaluate2ndDerivativeAt0 } from './local-properties-at-t/evaluate-2nd-derivative/double/evaluate-2nd-derivative-at-0.js';
export { tangentAt1 } from './local-properties-at-t/tangent/double/tangent-at-1.js';
export { evaluate2ndDerivativeAt1 } from './local-properties-at-t/evaluate-2nd-derivative/double/evaluate-2nd-derivative-at-1.js';
export { toString } from './transformation/to-string.js';
export { bezierBezierIntersectionBoundless } from './intersection/bezier-bezier-intersection/bezier-bezier-intersection-boundless.js';
export { getXBoundsTight } from './global-properties/bounds/get-x-bounds-tight.js';
export { getYBoundsTight } from './global-properties/bounds/get-y-bounds-tight.js';
export { getFootpointPolyExact } from "./simultaneous-properties/closest-and-furthest-point-on-bezier/get-coeffs/exact/get-footpoint-poly-exact.js";
export { getFootpointPoly } from "./simultaneous-properties/closest-and-furthest-point-on-bezier/get-coeffs/double/get-footpoint-poly.js";
export { getFootpointPolyDd } from "./simultaneous-properties/closest-and-furthest-point-on-bezier/get-coeffs/double-double/get-footpoint-poly-dd.js";
export { reduceOrderIfPossible } from './transformation/reduce-order-if-possible.js';
export { getAbsAreaBetween } from './fit/get-abs-area-between.js';
export { getBendingEnergy } from './global-properties/get-bending-energy.js';
export { cubicFromAnglesAndSpeeds } from './angles-and-speeds/bezier-by-angles-and-speeds/cubic-from-angles-and-speeds.js';
export { cubicToAnglesAndSpeeds } from './angles-and-speeds/bezier-by-angles-and-speeds/cubic-to-angles-and-speeds.js';
export { getCubicSpeeds } from './angles-and-speeds/bezier-by-angles-and-speeds/get-cubic-speeds.js';
export { setCubicSpeeds } from './angles-and-speeds/bezier-by-angles-and-speeds/set-cubic-speeds.js';
export { closestPointsBetweenBeziers } from './simultaneous-properties/closest-distance-between-beziers/closest-distance-between-beziers.js';
export { maxAbsCoordinate } from './error-analysis/max-abs-coordinate.js';
//# sourceMappingURL=index.js.map